Bug Hunting Session
Bug 113451 - FILEOPEN: EMF+ Lines misplaced after open EMF+ file
Summary: FILEOPEN: EMF+ Lines misplaced after open EMF+ file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMFPlus-Rework-Regressions
  Show dependency treegraph
 
Reported: 2017-10-25 21:58 UTC by Bartosz
Modified: 2017-11-17 12:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Original EMF+ file which was regressed in LibreOffice 6.0 (71.29 KB, image/x-emf)
2017-10-25 22:00 UTC, Bartosz
Details
Screenshot from LibreOffice 5.4.2. Lines are in correct places (118.69 KB, image/png)
2017-10-25 22:00 UTC, Bartosz
Details
Screenshot from LibreOffice 6.0. Lines are misplaced (102.37 KB, image/png)
2017-10-25 22:01 UTC, Bartosz
Details
Simpler EMF+ image on which the issue could be reproduced (arrows are misplaced) (26.64 KB, image/x-emf)
2017-10-25 22:32 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-10-25 21:58:17 UTC
Description:
After import EMF+ the lines are misplaced, compared to LibreOffice 5.4.2

Steps to Reproduce:
1. Open LibreOffice
2. Drag and drop EMF+ file


Actual Results:  
The lines are misplaced compared to MS Office and LibreOffice 5.4

Expected Results:
The lines should be in correct position


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.62 Chrome/62.0.3202.62 Safari/537.36
Comment 1 Bartosz 2017-10-25 22:00:01 UTC
Created attachment 137293 [details]
Original EMF+ file which was regressed in LibreOffice 6.0
Comment 2 Bartosz 2017-10-25 22:00:59 UTC
Created attachment 137294 [details]
Screenshot from LibreOffice 5.4.2. Lines are in correct places
Comment 3 Bartosz 2017-10-25 22:01:45 UTC
Created attachment 137295 [details]
Screenshot from LibreOffice 6.0. Lines are misplaced
Comment 4 V Stuart Foote 2017-10-25 22:25:49 UTC
Yup, confirmed...

Opening into Draw, and Insert into a document are now equivalent at 6.0

Through 5.4 Opening into Draw has quite different results from an Insert, so this _is_ moving in the right direction.
Comment 5 m.a.riosv 2017-10-25 22:30:51 UTC
Reproducible,

Version: 6.0.0.0.alpha1+
Build ID: 0c46b3a9a384d5b70a708c3e9459a790dd815c63
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: es-ES (es_ES); Calc: CL
Comment 6 Bartosz 2017-10-25 22:32:33 UTC
Created attachment 137296 [details]
Simpler EMF+ image on which the issue could be reproduced (arrows are misplaced)
Comment 7 Xisco Faulí 2017-10-26 08:31:49 UTC
Regression introduced by:

author	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-21 20:44:30 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-22 10:28:57 (GMT)
commit	ebc11ae0b132eefd3b1b1a837a8d0ad3ba73b460 (patch)
tree	599ae51a0a42b111f245697e7ad86b7f85681798
parent	a3782f1152e4cf02f30003b5f96c7ba603a87db9 (diff)
emfplus: cut over to new EMF+ renderer
We're on par with the old functionality now (modulo a few smaller
issues); overall QoS is much better, we get vector output on pdf
and print, and the need for large offscreen bitmap rendering goes
away.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Thorsten Behrens
Adding Cc: to Armin Le Grand
Comment 8 Bartosz 2017-11-17 00:25:01 UTC
Review:
https://gerrit.libreoffice.org/#/c/44842/
Comment 9 Commit Notification 2017-11-17 08:22:04 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=262bc4387970106f4fa9bf0b85cf82cbf645bcf8

tdf#113451 Fix misplacing of lines by adding mappingChanged

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.